TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

IsInvertible ( elt-rng x ) -> elt-alg^boo, elt-rng

### Optional Arguments

Results | elt-ord^rat |  | 1 <= Results <= 2

### Description

<shortdoc> Return whether the ring element x is invertible; if so, return also the inverse of x. </shortdoc>

### Examples

IsInvertible(2); IsInvertible(-1);
IsInvertible(Element(Q,2)); IsInvertible(Element(Q,-1));

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack